import type { Plugin } from 'unified';
import type { GenericParent } from 'myst-common';
import type { VFile } from 'vfile';
/**
 * Convert boxed-text caption to admonitionTitle (with content from caption > title)
 *
 * If boxed-text caption does not have a title, warn.
 *
 * After converting, delete any remaining boxed-text captions.
 */
export declare function admonitionTransform(tree: GenericParent, file: VFile): void;
export declare const admonitionPlugin: Plugin<[], GenericParent, GenericParent>;
//# sourceMappingURL=admonitions.d.ts.map